# $Id$
# Authority: 
# Name: Jesper Knudsen

Summary: SME DSPAM Integration
%define name smeserver-dspam
Name: %{name}
%define version 2.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tgz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-release >= 7.0
Requires: dspam => 3.9
Requires: libdspam-mysql => 3.9
AutoReqProv: no

%changelog
* Wed Jun 02 2010 Shad L. Lords <slords@mail.com> 2.0-1.sme
- Clean up spec for importing into CVS

* Mon Jan 04 2010 Jesper Knudsen <jesper@swerts-knudsen.dk>
- added sa-stats to enable checking of performance
- added keepheaders option to allow keeping DSPAM headers in emails

* Sun Jan 03 2010 Jesper Knudsen <jesper@swerts-knudsen.dk>
- Added crontab check to switch from training to tagging mode when training complete
- Changed reclassification from --corpus=spam|innocent to error
- Now retraining works as well for false positives/negatives

* Wed Dec 30 2009 Jesper Knudsen <jesper@swerts-knudsen.dk>
- First release

%description
SME DSPAM integration provides a qpsmtpd plugin that first trains DSPAM based on the 
SpamAssassin results. When training is completed it scores using DSPAM and adds to the SpamAssassin Scores.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
